org.apache.ignite.internal.processors.igfs

## Class IgfsThreadFactory

- java.lang.Object
- - org.apache.ignite.thread.IgniteThreadFactory
  - - org.apache.ignite.internal.processors.igfs.IgfsThreadFactory

All Implemented Interfaces:
  ThreadFactory

    public class IgfsThreadFactory
    extends IgniteThreadFactory

Special thread factory used only for IGFS pool which prevents `HadoopClassLoader` leak into `Thread.contextClassLoader` field. To achieve this we switch context class loader back and forth when creating threads.

### Constructor Summary

Constructors
Constructor and Description
`IgfsThreadFactory(String igniteInstanceName, String threadName)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Thread` `newThread(Runnable r)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsThreadFactory

    public IgfsThreadFactory(String igniteInstanceName,
                             String threadName)

Constructor.

Parameters:
  `igniteInstanceName` - Ignite instance name.
  `threadName` - Thread name.

### Method Detail

#### newThread

    public Thread newThread(@NotNull
                            Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`
Overrides:
  `newThread` in class `IgniteThreadFactory`

#### toString

    public String toString()

Overrides:
  `toString` in class `IgniteThreadFactory`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018